import { GitIdentity } from '.';
import * as workflow from './workflows-model';
/**
 * Name of the artifact produced by the build job. Its contains the entire
 * working directory.
 */
export declare const BUILD_ARTIFACT_NAME = "build-artifact";
/**
 * Represents the github-actions user.
 *
 * Use this when you need to perform a commit as part of your workflow.
 */
export declare const DEFAULT_GITHUB_ACTIONS_USER: GitIdentity;
/**
 * Workflow flow to configure git with the github actions identity.
 */
export declare function setGitIdentityStep(id: GitIdentity): workflow.JobStep;
